GL Accounts
GLAccount objects represent top-level GL account data from AppFolio®. Skywalk API allows you to obtain the following GL account attributes from AppFolio®.
The GLAccount Object
Attributes
appfolioIdstring
AppFolio ID of GL Account.
Example:
"34"
accountNamestring
Name of GL Account.
Example:
"Rent Income"
accountTypestring
Type of GL Account.
Example:
"Income"
numberstring
Number of GL Account.
Example:
"102-000"
subAccountOfstring
Name of parent GL Account; includes account number.
Example:
"100-000 Income"
subAccountOfIdstring
ID of parent GL Account.
Example:
"30"
More Attributes
offsetAccountstring
offsetAccountIdstring
optionsstring[]
hiddenboolean
The GLAccount Object
{
"appfolioId": "34",
"accountName": "Rent Income",
"accountType": "Income",
"number": "102-000",
"subAccountOf": "100-000 Income",
"subAccountOfId": "30",
"offsetAccount": "600-100 Bank Account",
"offsetAccountId": "40",
"options": null,
"hidden": false,
"subjectToTaxAuthority": false,
"fundAccount": "Operating"
}
Get All GL Accounts
GET /v1/gl-accounts
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The GL accounts endpoint returns a list of all GL accounts in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
This endpoint requires no additional parameters.
Returns
The standard List Response Format with a data property containing an array of GLAccount objects.
GET /v1/gl-accounts
curl -X GET 'https://api.skywalkapi.com/v1/gl-accounts' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/gl-accounts",
"query": {},
"count": 3,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/gl-accounts?cursor=abcdefg"
},
"data": [
{
"appfolioId": "34",
"accountName": "Rent Income",
"accountType": "Income",
"number": "102-000",
"subAccountOf": "100-000 Income",
"subAccountOfId": "30",
"offsetAccount": "600-100 Bank Account",
"offsetAccountId": "40",
"options": null,
"hidden": false,
"subjectToTaxAuthority": false,
"fundAccount": "Operating"
},
{
"appfolioId": "30",
"accountName": "Income",
"accountType": "Income",
"number": "102-000",
"subAccountOf": null,
"subAccountOfId": null,
"offsetAccount": null,
"options": null,
"hidden": false,
"subjectToTaxAuthority": false,
"fundAccount": "Operating",
"offsetAccountId": null
},
{
"appfolioId": "3",
"accountName": "Bank Account",
"accountType": "Cash",
"number": "600-100",
"subAccountOf": null,
"subAccountOfId": null,
"offsetAccount": null,
"options": null,
"hidden": false,
"subjectToTaxAuthority": false,
"fundAccount": "Operating",
"offsetAccountId": null
}
]
}